Page MenuHomePhabricator

Replace upstart with systemd unit in eventlogging::devserver and eventlogging::service
Closed, ResolvedPublic

Description

service { 'eventlogging-devserver':
    ensure    => 'running',
    enable    => true,
    provider  => 'upstart',
    subscribe => [
        File['/etc/init/eventlogging-devserver.conf'],
    ],
}
service { $service_name:
    ensure    => 'running',
    enable    => true,
    provider  => 'upstart',
    subscribe => [
        File[$config_file],
        File["/etc/init/${service_name}.conf"],
    ],
}

Event Timeline

bd808 created this task.Dec 29 2016, 5:12 AM

Patches should be submitted to the jessie-migration gerrit branch.

Restricted Application added a project: Analytics. · View Herald TranscriptDec 29 2016, 5:32 AM

Change 333564 had a related patch set uploaded (by BryanDavis):
Use systemd for eventlogging::devserver and eventlogging::service

https://gerrit.wikimedia.org/r/333564

Change 333564 merged by jenkins-bot:
Use systemd for eventlogging::devserver and eventlogging::service

https://gerrit.wikimedia.org/r/333564

bd808 closed this task as Resolved.Jan 25 2017, 2:23 AM
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptJan 25 2017, 2:23 AM
bd808 reopened this task as Open.Jan 25 2017, 2:35 AM

Looks like I may have closed this one early

==> default: Error: Could not start Service[eventlogging-service-eventbus]: Execution of '/bin/systemctl start eventlogging-service-eventbus' returned 6: Failed to start eventlogging-service-eventbus.service: Unit eventlogging-service-eventbus.service failed to load: Invalid argument. See system logs and 'systemctl status eventlogging-service-eventbus.service' for details.

Change 334023 had a related patch set uploaded (by BryanDavis):
Fix typo in eventlogging units

https://gerrit.wikimedia.org/r/334023

Change 334023 merged by jenkins-bot:
Fix typo in eventlogging units

https://gerrit.wikimedia.org/r/334023

bd808 closed this task as Resolved.Feb 1 2017, 3:39 AM